import './assets/style.css';
import { jsxs as M, jsx as d } from "react/jsx-runtime";
import { useState as a, useEffect as y } from "react";
import I from "./MonthSelector.js";
import K from "./JustCalendar.js";
import P from "./EventManager.js";
import Q from "./MonthNavigator.js";
import { e as k } from "./UserOptions-a2266c58.js";
import "./Image.component-4ed993c7.js";
import "./transform-df96e507.js";
import "react-router-dom";
import "./BubbleChart.js";
import "./BubbleViz.component-4ed993c7.js";
import "./DateInput.component-4ed993c7.js";
import "./DetailsPanel.component-4ed993c7.js";
import "./Dialog.component-4ed993c7.js";
import "./FacetedFilter.component-4ed993c7.js";
import "./FontTile.component-4ed993c7.js";
import "./LearnLink.component-4ed993c7.js";
import "./Link.component-4ed993c7.js";
import "./LottieTile.js";
import "./Mask.component-4ed993c7.js";
import "./Notification.component-4ed993c7.js";
import "./NumericStepper.component-4ed993c7.js";
import "./PickerRange.component-4ed993c7.js";
import "./Picklist.component-4ed993c7.js";
import "./ProgressIndicator.js";
import "./ProgressStepper.component-4ed993c7.js";
import "./Radio.component-4ed993c7.js";
import "./SecondaryNavigation.component-4ed993c7.js";
import "./SelectionPill.component-4ed993c7.js";
import "./Slider.js";
import "./Splitter.component-4ed993c7.js";
import "./Tag.component-4ed993c7.js";
import "./TextArea.component-4ed993c7.js";
import "./Toggle.js";
import "./Toolbar.component-4ed993c7.js";
import "./Uploader.component-4ed993c7.js";
import "react-dom";
import "./AboutUs.component-4ed993c7.js";
import "./AlertStackManager.component-4ed993c7.js";
import "./Application.component-4ed993c7.js";
import "./Banner.component-4ed993c7.js";
import "./Benefits.component-4ed993c7.js";
import "./Blog.component-4ed993c7.js";
import "./Brands.component-4ed993c7.js";
import "./Breadcrumbs.component-4ed993c7.js";
import "./Card.component-4ed993c7.js";
import "./Careers.component-4ed993c7.js";
import "./Contact.component-4ed993c7.js";
import "./Content.component-4ed993c7.js";
import "./Cookies.component-4ed993c7.js";
import "./Cta.component-4ed993c7.js";
import "./Dashboard.component-4ed993c7.js";
import "./Download.component-4ed993c7.js";
import "./EcommOrders.component-4ed993c7.js";
import "./EcommProducts.component-4ed993c7.js";
import "./Empty.component-4ed993c7.js";
import "./Faq.component-4ed993c7.js";
import "./Features.component-4ed993c7.js";
import "./Form.component-4ed993c7.js";
import "./Gallery.component-4ed993c7.js";
import "./Graph.component-4ed993c7.js";
import "./GraphTiles.component-4ed993c7.js";
import "./HowItWorks.component-4ed993c7.js";
import "./HttpCode.component-4ed993c7.js";
import "./InstaPhotos.component-4ed993c7.js";
import "./Integrations.component-4ed993c7.js";
import "./LogoClouds.component-4ed993c7.js";
import "./Newsletter.component-4ed993c7.js";
import "./Notifications.component-4ed993c7.js";
import "./Portfolio.component-4ed993c7.js";
import "./Pricing.component-4ed993c7.js";
import "./ProductInfo.component-4ed993c7.js";
import "./Projects.component-4ed993c7.js";
import "./Reviews.component-4ed993c7.js";
import "./RichText.component-4ed993c7.js";
import "./Services.component-4ed993c7.js";
import "./SignInUp.component-4ed993c7.js";
import "./Snackbar.component-4ed993c7.js";
import "./Stats.component-4ed993c7.js";
import "./Steps.component-4ed993c7.js";
import "./Swiper.js";
import "./Team.component-4ed993c7.js";
import "./Testimonials.component-4ed993c7.js";
import "./Toast.component-4ed993c7.js";
import "./Users.component-4ed993c7.js";
import { ArCalViews as n, ArSizes as N, ArButtonVariants as U } from "./types/enums.js";
import "./utils/dateformat.js";
import "./utils/domHelper.js";
import h, { isWithinSchedule as Z } from "./utils/dateHelper.js";
import "./config/components.js";
import "./config/constants.js";
import "./config/navigator.js";
import "./store.js";
import "react-redux";
import "./EventForm-fe4eb726.js";
import "./SegmentedControl.js";
import "./TextArea.js";
import "./utils/helper.js";
import "./_commonjsHelpers-10dfc225.js";
import "./cssClasses.js";
import "./utils/network.js";
import "./config/api-config.js";
import "./config/web-config.js";
import "./hooks.js";
import "./v4-333bbb31.js";
import "./ARC_logo-f969b1b7.js";
const o = new h({ siblingMonths: !0, weekStart: 1 }), g = /* @__PURE__ */ new Date(), rr = (z) => {
  const {
    allowEventSetting: A,
    classes: F,
    events: T,
    customDayEventSetter: tt,
    hasTimeControls: H,
    isSingleSelect: p,
    maxDate: et,
    minDate: rt,
    miniMode: m,
    onDateSelected: i,
    startDate: E,
    endDate: S,
    theme: B
  } = z, [X, J] = a(), [u, L] = a(g), [e, f] = a(), [v, l] = a(), [_, R] = a(), [W, Y] = a(), [c, s] = a(
    n.CALENDAR
  ), [C, $] = a(), [O, w] = a(), D = e || {
    day: g.getDate(),
    month: g.getMonth(),
    year: g.getFullYear()
  }, [b, V] = a(
    (D == null ? void 0 : D.year) && Math.floor(D.year / 10) * 10
  ), [j, x] = a(
    D == null ? void 0 : D.year
  );
  y(() => {
    $(T);
  }, [T]), y(() => {
    E && f({
      year: E.getFullYear(),
      month: E.getMonth(),
      day: E.getDate()
    });
  }, [E]), y(() => {
    S && l({
      year: S.getFullYear(),
      month: S.getMonth(),
      day: S.getDate()
    });
  }, [S]), y(() => {
    if (u) {
      const t = u.getFullYear(), r = u.getMonth(), G = o.getCalendar(t, r);
      J(G);
    }
  }, [u]);
  const q = (t, r) => {
    if (!e || p) {
      f(t), o.setStartDate(t), i && i(p ? t : { startDate: t }), r && A && (R(t), s(n.EVENT_FORM));
      return;
    }
    e && v ? h.compare(e, t) === -1 && h.compare(t, v) === -1 ? (o.setEndDate(t), l(t), i && i(
      p ? t : { startDate: e, endDate: t }
    )) : (o.setEndDate(null), l(null), o.setStartDate(t), f(t), i && i(
      p ? t : { startDate: t, endDate: null }
    )) : (h.compare(t, e) === -1 ? (l(e), o.setEndDate(e), f(t), o.setStartDate(t), i && i(
      p ? t : { startDate: t, endDate: e }
    )) : (l(t), o.setEndDate(t), i && i(
      p ? t : { startDate: e, endDate: t }
    )), Y(null)), r && A && (R(t), s(n.EVENT_FORM));
  };
  return /* @__PURE__ */ M(
    "div",
    {
      className: `ar-Calendar w-100 h-100 d-flex flex-column${H ? " has-time-controls" : ""}${F ? " " + F : ""}${m ? " is-mini" : ""}`,
      children: [
        u && c !== n.EVENT_FORM && /* @__PURE__ */ d(
          Q,
          {
            currentDecade: b,
            currentMonthNavView: O,
            currentView: c,
            currentYear: j,
            miniMode: m,
            refDate: u,
            setCurrentDecade: V,
            setCurrentMonthNavView: w,
            setCurrentView: s,
            setCurrentYear: x,
            setRefDate: L,
            theme: B
          }
        ),
        /* @__PURE__ */ M(
          "div",
          {
            className: `ar-Calendar__cal-event-decade-month-year-selector d-flex flex-1 position-relative overflow-hidden border-bottom${c === n.MONTH_YEAR_SELECTOR ? " to-month-year" : ""}${c === n.EVENT_FORM ? " to-event-form" : ""}${m ? " is-mini" : ""}`,
            children: [
              /* @__PURE__ */ d(
                K,
                {
                  allowEventSetting: A,
                  calHelper: o,
                  calendar: X,
                  endDate: v,
                  hovered: W,
                  isSingleSelect: p,
                  miniMode: m,
                  onDateSelected: q,
                  setHovered: Y,
                  startDate: e
                }
              ),
              /* @__PURE__ */ d(
                I,
                {
                  currentDecade: b,
                  currentMonthNavView: O,
                  currentView: c,
                  currentYear: j,
                  miniMode: m,
                  onMonthSelect: (t) => {
                    s(n.CALENDAR), L(t);
                  },
                  setCurrentDecade: V,
                  setCurrentMonthNavView: w,
                  setCurrentView: s,
                  setCurrentYear: x
                }
              ),
              _ && c === n.EVENT_FORM && /* @__PURE__ */ d(
                P,
                {
                  events: C == null ? void 0 : C.filter(
                    (t) => Z(_, t)
                  ),
                  miniMode: m,
                  onEventSubmit: (t) => {
                    const r = C ? [...C] : [];
                    r.push(t), $(r), R(null), s(n.CALENDAR);
                  },
                  selectedDate: _,
                  setCurrentView: s
                }
              )
            ]
          }
        ),
        /* @__PURE__ */ M(
          "div",
          {
            className: `ar-Calendar__footer flex-v-center${m ? " p-2" : " px-3 py-2"}${c === n.EVENT_FORM ? " h-0 overflow-hidden" : ""}`,
            children: [
              e && !m && /* @__PURE__ */ d("div", { className: "ar-Calendar__status justify-self-start", children: /* @__PURE__ */ M("span", { className: "fw-bold", children: [
                h.toString(e),
                v && " - " + h.toString(v)
              ] }) }),
              /* @__PURE__ */ M("div", { className: "ar-Calendar__controls ms-auto d-flex", children: [
                /* @__PURE__ */ d(
                  k,
                  {
                    content: "Clear",
                    classes: m ? "me-2" : "me-3",
                    size: m ? N.XSMALL : N.SMALL,
                    variant: U.SECONDARY,
                    onClick: () => {
                      f(null), l(null), o.setStartDate(null), o.setEndDate(null);
                    },
                    disabled: !e
                  }
                ),
                /* @__PURE__ */ d(
                  k,
                  {
                    content: "Today",
                    size: m ? N.XSMALL : N.SMALL,
                    onClick: () => {
                      const t = g, r = {
                        day: t.getDate(),
                        month: t.getMonth(),
                        year: t.getFullYear()
                      };
                      f(r), l(null), o.setStartDate(r), o.setEndDate(null), L(t), V(Math.floor(r.year / 10) * 10), x(r.year), w(null), s(n.CALENDAR), i && i(
                        p ? r : { startDate: r, endDate: null }
                      );
                    }
                  }
                )
              ] })
            ]
          }
        )
      ]
    }
  );
};
export {
  rr as default
};
